<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddPrixFiledsToProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->double('prix_achat_ht')->nullable();
            $table->double('prix_achat_ttc')->nullable();
            $table->double('prix_vente_ht')->nullable();
            $table->double('prix_vente_ttc')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn('prix_achat_ht');
            $table->dropColumn('prix_achat_ttc');
            $table->dropColumn('prix_vente_ht');
            $table->dropColumn('prix_vente_ttc');
        });
    }
}
